Verify APIAccount access
Get account access details
GET
bearerheader
AuthorizationBearer <token>id*stringIdentifier of the account access request.
Format
uuidX-Volt-Api-Version*1Version of the API used. Currently, version 1 is the only version.
Value in
1X-Volt-Initiation-Channel*stringChannel used for account access flow.
Value in
"hosted""api"application/json- response
id?stringIdentifier of account access request.
Format
uuidinternalReference?|Identifier of the account access request in the Partner's system.
Length
length <= 100informationSystem?"OPEN_BANKING"Information system used to process account access request.
Value in
"OPEN_BANKING"openBankingEU?Definition used for processing account access request.
Object is present in the response if informationSystem is set to OPEN_BANKING_EU.
subject?Information about the subject.
scopes?array<>List of data scopes Partner wants to access.
device?Device used to call the endpoint for account access request creation.
status?Status of account access request.
createdAt?stringDate of access request creation.
Format
date-timeupdatedAt?|Date of access request's last update.
Format
date-timeaccountAccessFlow?Account access flow object. It steers the account access flow.
curl -X GET "https://example.com/account-access/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "X-Volt-Api-Version: 1" \ -H "X-Volt-Initiation-Channel: hosted"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "internalReference": "H35X48Y4FWOD6G3S", "informationSystem": "OPEN_BANKING_EU", "openBankingEU": { "institutionId": "cdae5c01-a629-4362-be56-52101ec22a49", "accountIdentifiers": {} }, "subject": { "reference": "JDOE-101", "email": "johndoe@example.com" }, "scopes": [ "ACCOUNTS", "IDENTIFICATION", "BALANCES" ], "device": { "ip": "192.168.0.1", "userAgent": "Mozilla/5.0 (Macintosh; Intel Mac OS X x.y; rv:42.0) Gecko/20100101 Firefox/42.0", "fingerprint": "2aae6c35c94fcfb415dbe95f408b9ce91ee846ed" }, "status": { "status": "NEW", "reason": null }, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "accountAccessFlow": { "status": "PROCESSING", "details": { "reason": "AWAITING_USER_REDIRECT", "redirect": { "url": "https://vo.lt/asqIs", "directUrl": "https://myBank.com/authorisation?code=xyz" } } }}